Bug 1302051 - subscription-manager list --consumed field for Subscription Type is blank when entitlement comes from candlepin 2.0
subscription-manager list --consumed field for Subscription Type is blank whe...
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
2.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: William Poteat
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 11:16 EST by John Sefler
Modified: 2016-07-22 10:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-22 10:39:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2016-01-26 11:16:03 EST
Description of problem:
After attaching a subscription, there is a "Subscription Type" field included in the subscription-manager list --consumed report.  Currently when registered to a candlepin 2.0 server, the value is blank (both CLI and GUI). 


Version-Release number of selected component (if applicable):
[root@jsefler-6 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 2.0.10-1
subscription management rules: 5.19
subscription-manager: 1.16.8-1.el6
python-rhsm: 1.16.6-1.el6


How reproducible:


Steps to Reproduce:
[root@jsefler-6 ~]# subscription-manager register --serverurl=jsefler-f22-candlepin.usersys.redhat.com:8443/candlepin
Registering to: jsefler-f22-candlepin.usersys.redhat.com:8443/candlepin
Username: testuser1
Password: 
Organization: admin
The system has been registered with ID: 54db540d-3673-4f0b-9509-98fde0f91d09 
[root@jsefler-6 ~]# 
[root@jsefler-6 ~]# subscription-manager list --avail
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+
Subscription Name:   Multi-Attribute Stackable (2 GB)
Provides:            Multi-Attribute Limited Product
SKU:                 ram2-multiattr
Contract:            1
Pool ID:             8a90879052610a8b0152610bf13d0947
Provides Management: No
Available:           10
Suggested:           1
Service Level:       Premium
Service Type:        Level 3
Subscription Type:   Stackable
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS Server Basic (multi-entitlement)
Provides:            Awesome OS Server Bits
SKU:                 awesomeos-server-basic-me
Contract:            1
Pool ID:             8a90879052610a8b0152610bd4e40587
Provides Management: No
Available:           10
Suggested:           1
Service Level:       None
Service Type:        Self-Support
Subscription Type:   Multi-Entitleable
Ends:                01/18/2017
System Type:         Physical

[root@jsefler-6 ~]# subscription-manager attach --pool=8a90879052610a8b0152610bf13d0947 --pool=8a90879052610a8b0152610bd4e40587
Successfully attached a subscription for: Multi-Attribute Stackable (2 GB)
Successfully attached a subscription for: Awesome OS Server Basic (multi-entitlement)
[root@jsefler-6 ~]# 
[root@jsefler-6 ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name:   Awesome OS Server Basic (multi-entitlement)
Provides:            Awesome OS Server Bits
SKU:                 awesomeos-server-basic-me
Contract:            1
Account:             12331131231
Serial:              7346775478795078777
Pool ID:             8a90879052610a8b0152610bd4e40587
Provides Management: No
Active:              True
Quantity Used:       1
Service Level:       None
Service Type:        Self-Support
Status Details:      Subscription is current
Subscription Type:                            <====== BLANK
Starts:              01/19/2016
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Multi-Attribute Stackable (2 GB)
Provides:            Multi-Attribute Limited Product
SKU:                 ram2-multiattr
Contract:            1
Account:             12331131231
Serial:              8774839156860488319
Pool ID:             8a90879052610a8b0152610bf13d0947
Provides Management: No
Active:              True
Quantity Used:       1
Service Level:       Premium
Service Type:        Level 3
Status Details:      Subscription is current
Subscription Type:                            <====== BLANK
Starts:              01/19/2016
Ends:                01/18/2017
System Type:         Physical

[root@jsefler-6 ~]# 





Actual results:
Notice that in the list --avail, the Subscription Type for the two available pools are "Stackable" and "Multi-Entitleable" respectively.  However after attaching the two pools and running list --consumed, the consumed report is BLANK for both Subscription Types.

Expected results:
Subscription Type should be populated in the list of consumed subscriptions.

Additional info:
Running the same subscription-manager client against the currently hosted stage candlepin server 0.9.51.14-1 is successful.
Comment 1 William Poteat 2016-03-02 11:11:15 EST
master commit 5cadeb32ce84b31fcb304cb8cb8daf3d9a202078
Comment 2 Mike McCune 2016-03-28 19:46:11 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 3 Barnaby Court 2016-07-22 10:39:09 EDT
Moving to closed per the updated candlepin process for bugs that have been merged or have been taken care of.

Note You need to log in before you can comment on or make changes to this bug.